The Applications API allows you to list and manage Access Gateway applications and application-related configurations.
Lists all applications that are configured in Access Gateway
Success
Bad Request
Unauthorized
Forbidden
Too Many Requests
[- {
- "id": "44931df2-4464-4c4d-97ce-5d0177b09f30",
- "name": "testapp",
- "type": "OAG_HEADER_BASED",
- "description": "Header site",
- "label": "Test App",
- "idpId": "3f63f461-c7fc-483b-b2ae-961633d251ac",
- "publicDomain": "oagapp.domain.tld",
- "status": "CREATED",
- "groups": [
- "00ghsrbfqxmSf7Ekw1d7"
], - "certificateId": "15cc2bc6-b280-4d94-a0bf-c91751b40d9c",
- "loadBalanced": true,
- "usePublicDomainAsHostHeader": false,
- "hostHeaderValue": "app.domain.tld",
- "contentRewrite": false,
- "proxyRedirect": false,
- "maxFileSize": 4000,
- "proxyReadTimeout": 30,
- "localNetworkAccessRestriction": false,
- "_embedded": {
- "healthCheck": {
- "enabled": false,
- "path": "/",
- "method": "GET",
- "statusCode": 200,
- "interval": 10,
- "timeout": 1,
- "healthyThreshold": 3,
- "unhealthyThreshold": 3
}, - "behavior": {
- "singleLogout": false,
- "universalLogout": false,
- "globalTokenRevocation": false,
- "noSession": "IDP_REDIRECT",
- "policyDenied": "OAG_DEFAULT_PAGE",
- "sessionIntegrityFailure": "CUSTOM_URL",
- "logout": "OAG_LOGOUT_PATH",
- "logoutPath": "/oagLogout",
- "error": "OAG_ERROR_PATH",
- "errorPath": "/oagError",
- "errorManaged": false,
- "login": "NO_APP_LOGIN_PATH",
- "loginPath": "/login",
- "loginManaged": false,
- "maintenance": "CUSTOM_URL",
- "inactive": "CUSTOM_URL",
}, - "session": {
- "auth": "HEADER",
- "enforceRelayState": false,
- "deepLinking": true,
- "idleSession": true,
- "idleSessionTimeout": 3600,
- "maxSession": true,
- "maxSessionTimeout": 28800,
- "browserSessionExpiration": false
}, - "protectedResources": [
- {
- "id": "c4cadb66-68fc-49cc-8dc4-719e97bd42e1",
- "assignedWeight": 1,
- "active": true,
- "calculatedWeight": 1
}
], - "policies": [
- {
- "id": "9ef3103a-50a7-4517-92d6-442612b6d5c1",
- "name": "root",
- "description": "Protect all application resources",
- "resourcePath": "/",
- "active": true,
- "rule": "PROTECTED",
- "regexRule": null,
- "caseSensitive": true,
- "customDirective": null
}
], - "attributes": [
- {
- "id": "9c471061-8981-43c5-a7bc-deef2150a5a2",
- "active": true,
- "name": "sampleheader",
- "source": "IDP",
- "value": "firstName",
- "type": "HEADER"
}
]
}
}
]Creates a new application in Access Gateway.
Newly created applications have the CREATED status.
To make the application available for end users, you must configure the required settings of an application, and then activate the application.
Ensure that you've configured the following settings of your application:
OAG_NOAUTH applications).Session, behavior and health check configurations are created by default for all applications. You can update these configurations as needed.
This endpoint also creates the default attributes and policies for the application based on the application type specified. To disable creating default attributes and policies, set the createDefaultAttributesAndPolicies parameter to false in the request body.
After creating an application, you can view the application details in the response. The _embedded property includes all the default configurations created for the application (session, behavior, health check, attributes, and policies).
Application created successfully
Bad Request
Unauthorized
Forbidden
Too Many Requests
{- "type": "OAG_HEADER_BASED",
- "label": "Test App",
- "description": "Header site",
- "idpId": "3f63f461-c7fc-483b-b2ae-961633d251ac",
- "publicDomain": "oagapp.domain.tld",
- "groups": [
- "00ghsrbfqxmSf7Ekw1d7"
], - "certificateId": "15cc2bc6-b280-4d94-a0bf-c91751b40d9c",
- "loadBalanced": true,
- "usePublicDomainAsHostHeader": false,
- "hostHeaderValue": "app.domain.tld",
- "contentRewrite": false,
- "proxyRedirect": false,
- "maxFileSize": 4000,
- "proxyReadTimeout": 30
}{- "id": "44931df2-4464-4c4d-97ce-5d0177b09f30",
- "name": "testapp",
- "type": "OAG_HEADER_BASED",
- "description": "Header site",
- "label": "Test App",
- "idpId": "3f63f461-c7fc-483b-b2ae-961633d251ac",
- "publicDomain": "oagapp.domain.tld",
- "status": "CREATED",
- "groups": [
- "00ghsrbfqxmSf7Ekw1d7"
], - "certificateId": "15cc2bc6-b280-4d94-a0bf-c91751b40d9c",
- "loadBalanced": true,
- "usePublicDomainAsHostHeader": false,
- "hostHeaderValue": "app.domain.tld",
- "contentRewrite": false,
- "proxyRedirect": false,
- "maxFileSize": 4000,
- "proxyReadTimeout": 30,
- "localNetworkAccessRestriction": false,
- "_embedded": {
- "healthCheck": {
- "enabled": false,
- "path": "/",
- "method": "GET",
- "statusCode": 200,
- "interval": 10,
- "timeout": 1,
- "healthyThreshold": 3,
- "unhealthyThreshold": 3
}, - "behavior": {
- "singleLogout": false,
- "universalLogout": false,
- "globalTokenRevocation": false,
- "noSession": "IDP_REDIRECT",
- "policyDenied": "OAG_DEFAULT_PAGE",
- "sessionIntegrityFailure": "CUSTOM_URL",
- "logout": "OAG_LOGOUT_PATH",
- "logoutPath": "/oagLogout",
- "error": "OAG_ERROR_PATH",
- "errorPath": "/oagError",
- "errorManaged": false,
- "login": "NO_APP_LOGIN_PATH",
- "loginPath": "/login",
- "loginManaged": false,
- "maintenance": "CUSTOM_URL",
- "inactive": "CUSTOM_URL",
}, - "session": {
- "auth": "HEADER",
- "enforceRelayState": false,
- "deepLinking": true,
- "idleSession": true,
- "idleSessionTimeout": 3600,
- "maxSession": true,
- "maxSessionTimeout": 28800,
- "browserSessionExpiration": false
}, - "protectedResources": [
- {
- "id": "c4cadb66-68fc-49cc-8dc4-719e97bd42e1",
- "assignedWeight": 1,
- "active": true,
- "calculatedWeight": 1
}
], - "policies": [
- {
- "id": "9ef3103a-50a7-4517-92d6-442612b6d5c1",
- "name": "root",
- "description": "Protect all application resources",
- "resourcePath": "/",
- "active": true,
- "rule": "PROTECTED",
- "regexRule": null,
- "caseSensitive": true,
- "customDirective": null
}
], - "attributes": [
- {
- "id": "9c471061-8981-43c5-a7bc-deef2150a5a2",
- "active": true,
- "name": "sampleheader",
- "source": "IDP",
- "value": "firstName",
- "type": "HEADER"
}
]
}
}Retrieves details of a specific application by applicationId
Success
Bad Request
Unauthorized
Forbidden
Not Found
Too Many Requests
{- "id": "44931df2-4464-4c4d-97ce-5d0177b09f30",
- "name": "testapp",
- "type": "OAG_HEADER_BASED",
- "description": "Header site",
- "label": "Test App",
- "idpId": "3f63f461-c7fc-483b-b2ae-961633d251ac",
- "publicDomain": "oagapp.domain.tld",
- "status": "CREATED",
- "groups": [
- "00ghsrbfqxmSf7Ekw1d7"
], - "certificateId": "15cc2bc6-b280-4d94-a0bf-c91751b40d9c",
- "loadBalanced": true,
- "usePublicDomainAsHostHeader": false,
- "hostHeaderValue": "app.domain.tld",
- "contentRewrite": false,
- "proxyRedirect": false,
- "maxFileSize": 4000,
- "proxyReadTimeout": 30,
- "localNetworkAccessRestriction": false,
- "_embedded": {
- "healthCheck": {
- "enabled": false,
- "path": "/",
- "method": "GET",
- "statusCode": 200,
- "interval": 10,
- "timeout": 1,
- "healthyThreshold": 3,
- "unhealthyThreshold": 3
}, - "behavior": {
- "singleLogout": false,
- "universalLogout": false,
- "globalTokenRevocation": false,
- "noSession": "IDP_REDIRECT",
- "policyDenied": "OAG_DEFAULT_PAGE",
- "sessionIntegrityFailure": "CUSTOM_URL",
- "logout": "OAG_LOGOUT_PATH",
- "logoutPath": "/oagLogout",
- "error": "OAG_ERROR_PATH",
- "errorPath": "/oagError",
- "errorManaged": false,
- "login": "NO_APP_LOGIN_PATH",
- "loginPath": "/login",
- "loginManaged": false,
- "maintenance": "CUSTOM_URL",
- "inactive": "CUSTOM_URL",
}, - "session": {
- "auth": "HEADER",
- "enforceRelayState": false,
- "deepLinking": true,
- "idleSession": true,
- "idleSessionTimeout": 3600,
- "maxSession": true,
- "maxSessionTimeout": 28800,
- "browserSessionExpiration": false
}, - "protectedResources": [
- {
- "id": "c4cadb66-68fc-49cc-8dc4-719e97bd42e1",
- "assignedWeight": 1,
- "active": true,
- "calculatedWeight": 1
}
], - "policies": [
- {
- "id": "9ef3103a-50a7-4517-92d6-442612b6d5c1",
- "name": "root",
- "description": "Protect all application resources",
- "resourcePath": "/",
- "active": true,
- "rule": "PROTECTED",
- "regexRule": null,
- "caseSensitive": true,
- "customDirective": null
}
], - "attributes": [
- {
- "id": "9c471061-8981-43c5-a7bc-deef2150a5a2",
- "active": true,
- "name": "sampleheader",
- "source": "IDP",
- "value": "firstName",
- "type": "HEADER"
}
]
}
}Replaces an existing application configuration
Use this endpoint to update the configuration of the specified application.
Application updated successfully
Bad Request
Unauthorized
Forbidden
Not Found
Too Many Requests
{- "label": "Test App",
- "description": "Header site",
- "publicDomain": "oagapp.domain.tld",
- "groups": [
- "00ghsrbfqxmSf7Ekw1d7"
], - "certificateId": "15cc2bc6-b280-4d94-a0bf-c91751b40d9c",
- "usePublicDomainAsHostHeader": false,
- "hostHeaderValue": "app.domain.tld",
- "contentRewrite": false,
- "proxyRedirect": false,
- "maxFileSize": 4000,
- "proxyReadTimeout": 30
}{- "id": "44931df2-4464-4c4d-97ce-5d0177b09f30",
- "name": "testapp",
- "type": "OAG_HEADER_BASED",
- "description": "Header site",
- "label": "Test App",
- "idpId": "3f63f461-c7fc-483b-b2ae-961633d251ac",
- "publicDomain": "oagapp.domain.tld",
- "status": "CREATED",
- "groups": [
- "00ghsrbfqxmSf7Ekw1d7"
], - "certificateId": "15cc2bc6-b280-4d94-a0bf-c91751b40d9c",
- "loadBalanced": true,
- "usePublicDomainAsHostHeader": false,
- "hostHeaderValue": "app.domain.tld",
- "contentRewrite": false,
- "proxyRedirect": false,
- "maxFileSize": 4000,
- "proxyReadTimeout": 30,
- "localNetworkAccessRestriction": false
}Deletes an application by applicationId.
To delete an application, you must set the status of the application to INACTIVE. Use the Deactivate an application endpoint to set the application status to INACTIVE.
Deleting an application removes the application and its configurations, including its resources, policies, and attributes. These objects don't need to be deleted separately.
Application deleted successfully
Bad Request
Unauthorized
Forbidden
Not Found
Too Many Requests
{- "details": { },
- "errorCode": "BAD_REQUEST",
- "message": "Request validation failed"
}Activates a newly created application in Access Gateway. Activate an application after you create it. Access Gateway doesn't automatically activate newly created applications.
Success
Bad Request
Unauthorized
Forbidden
Not Found
Too Many Requests
{- "details": { },
- "errorCode": "BAD_REQUEST",
- "message": "Request validation failed"
}Deactivates an existing application in Access Gateway
Success
Bad Request
Unauthorized
Forbidden
Not Found
Too Many Requests
{- "details": { },
- "errorCode": "BAD_REQUEST",
- "message": "Request validation failed"
}Updates the status of an application to maintenance mode in Access Gateway
When an application is in maintenance mode, you can perform maintenance tasks on the application. However, the application is unavailable for end users.
Success
Bad Request
Unauthorized
Forbidden
Not Found
Too Many Requests
{- "details": { },
- "errorCode": "BAD_REQUEST",
- "message": "Request validation failed"
}